{% extends '@Paa/Default/menu.html.twig' %}

{% block head %}
    <meta name="description" content="edit">
    {{ parent() }}

    <!-- CSS ADAPTES POUR MULTISELECT -->	
    {#<style type="text/css"> 
        html, body {
            /*Pour que la page occupe tout l'espace vertical et qu'on puisse décider que le conteneur ppal va occuper tout ce qui est dispo*/
            padding : 0;
            margin : 0;
            height : 100%;
        }
        .LG-AvecContour{
            height: 100%;
            /*background-color: lightgreen;*/
            border: 1px solid black;
            border-radius: 6px;
        }
        .LG-Multiple, [data-role="multiselect2"],[data-role="multiselect"],[data-role="cbcRessource"] {
            height: 34px !important ;
            text-align: left;
            width: 250px;
            background-color: red;
        }
        .cbo2Dates {
        } 
    </style> #}



{% endblock %}

{#Titre de la page#}
{% block titrePage %}

    <div class = "TitrePage ml-3 mt-3" >Editions</div><br>
    <div class_DEAC_LG20200703CarMasqueSystematiquementAvecBootstrap4="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
        <ul class="navbar-form navbar-right d-flex m-0 p-0 justify-content-end">
{# LG 20200805 déac            <input id = "cbo2Dates"
                   type="text" 
                   data-role="cbo2Dates" 
                   class="btn cbo2Dates nav btn-default"
                   style="width: 200px; display: inline; text-align: center; visibility: hidden;"
                   style="width: 200px; display: inline; text-align: center; visibility: hidden;"
                   />            
#}
            <select id="cbcRessources"
                    multiple="multiple"
                    class="btn"
                    style="height: 34px; text-align: left; width: 250px; visibility: hidden;"
                    data-role="cbcRessource"
                    data-speed="true"
                    data-type-res="{{ psLstTypesRes }}"
                    data-debut="{{ pdDateDébut|date("Y-m-d") }}"
                    data-fin="{{ pdDateFin|date("Y-m-d") }}"
{# LG 20200805 déac                   disabled="disabled"#}
                    >
                <option selected = "selected" value = "{{ psLstRes }}">Chargement en cours...</option>
            </select>
        </ul>
    </div><!-- /.navbar-collapse -->
    <form action="" method="post">
        <input type="hidden" name="urlConfig" id="urlConfig" value="">
        <input type="hidden" name="node" id="node" value="">
        <input type="hidden" name="favori" id="favori" value="">
        <ul class="nav nav-tabs ml-3">
            <li class="nav-item bg-onglet rounded-top">
                <a class="boutonOnglet nav-link color-txt-onglet active show" style="height: 30px; padding: 5px 15px;" data-toggle="tab" href="#Editions">
                    Editions
                </a>
            </li>
            <li class="nav-item bg-onglet rounded-top">
                <a class="boutonOnglet nav-link color-txt-onglet" style="height: 30px; padding: 5px 15px;" data-toggle="tab" href="#Favoris">
                    Favoris
                </a>
            </li>
        </ul>
        <div class="d-flex bg-white shadow-sm rounded ml-3 mr-3">
            <div class="tab-content col-lg-3 col-md-4 col-sm-5">
                <div id="Editions" class="tab-pane fade bg-white shadow-sm rounded in active show">
                    <div class="" id="trvEditions"></div>
                </div>
                <div id="Favoris" class="tab-pane fade in bg-white shadow-sm rounded">
                    <div class="" id="trvFavoris"></div>
                </div>
            </div>
            <div class="col-lg-6">
                <h3><div class="col-lg-12" id="titreConfig"></div></h3>
                <div class="col-lg-12" id="config" style="height:88%; overflow-y:scroll; ">
                </div>
                <div class="col-sm-12 d-flex align-items-end justify-content-end">
                    <div class="m-3">
                        <input type="submit" name="btnSubmit" value="Editer" class="btn btn-default pull-right" style="margin-right:3px;">
                        <input type="submit" name="btnFavoris" value="Ajouter aux favoris" class="btn btn-default pull-right" style="margin-right:3px;">
                    </div>
                </div>
            </div>
            <div class="col-lg-3 border-left">
                <div class="previsualisation">
                </div>
            </div>
        </div>
        
    </form>
    <div id="ConfigurationsMemorisees" style="display:none;"></div>
{% endblock %}

{% block content %}
    <div class="alert alert-warning col-lg-8 col-md-8 col-sm-7" id="alerteErreurChargement" style="display: none;">
        <button type="button" class="close" data-dismiss="alert">x</button>
        <div id ="alerteErreurChargementContenu">
            <strong>Le chargement n'est pas possible! </strong>
            Vous n'avez pas sélectionné de ressource à afficher.
        </Div>
    </div>	

    <div class="row">
        <nav id="Erreurs" class="col-lg-12"></nav>
        <footer class=""></footer>
    </div>
{% endblock %}  

{% block scriptsEnFinDeBody %}
    {{ parent() }}
{#

    <script type="text/javascript" src="{{asset_version('vendor/bootstrap-treeview/jquery.min.js')}}"></script>
    <link rel="stylesheet" href="{{asset_version('vendor/bootstrap-treeview/bootstrap-treeview.css')}}"/>
    <script type="text/javascript" src="{{asset_version('vendor/bootstrap-treeview/bootstrap-treeview.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Partages/src/include.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Paa/src/popup_getIdActivite.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Partages/widgets/LGTreeview.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('vendor/bootstrap/multiselect/js/bootstrap-multiselect.js')}}"></script>
    <link rel="stylesheet" type="text/css" href="{{asset_version('vendor/bootstrap/multiselect/css/bootstrap-multiselect.css')}}">
    { #spectrum : widget getColor utilisé pour les colorPicker # }
    <script src="{{asset_version('vendor/spectrum/spectrum.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Partages/src/couleurs.js')}}"></script>
    <script type="text/javascript">

    // Bootstrap multiselect, http://davidstutz.de/bootstrap-multiselect/index.html#getting-started
    includeJS('{{asset_version('vendor/bootstrap/multiselect/js/bootstrap-multiselect.js')}}');
    includeCSS('{{asset_version('vendor/bootstrap/multiselect/css/bootstrap-multiselect.css')}}');
    // Bootstrap Date Range Picker, http://www.daterangepicker.com
    includeJS('{{asset_version('vendor/moment/moment.min.js')}}');
    includeJS('{{asset_version('vendor/bootstrap/daterangepicker/daterangepicker.js')}}');
    includeCSS('{{asset_version('vendor/bootstrap/daterangepicker/daterangepicker.css')}}');
    includeCSS('{{asset_version('Limoog/Partages/widgets/LGMultiselect/LGMultiselect.css')}}');
    includeJS('{{asset_version('Limoog/Partages/widgets/LGMultiselect/LGMultiselect.js')}}');
    includeJS('{{asset_version('Limoog/Paa/src/ressources.js')}}');
    includeJS('{{asset_version('Limoog/Partages/widgets/cbo2Dates.js')}}');</script>
#}
    <script type="text/javascript">
        $("#chkImprPlanInclAbsences").click(function () {
            if ($(this).is(':checked')) {
                $('#ChkinclusAbsStandards').attr('disabled', false);
            } else {
                $('#ChkinclusAbsStandards').attr('disabled', true);
            }
        });

        // Remplir le tableau pour le TreeView des éditions
        var loDataEditions = [
            {
                text: 'Plannings Individuels',
                href: '#plannings_individuels',
                nodes: [
                    {
                        text: 'Graphique',
                        href: '#PlanningIndividuels_graphique',
                    },
                    {
                        text: 'Graphique (Excel)',
                        href: '#PlanningIndividuels_graphique_excel',
                    },
                    {
                        text: 'Listing par ressources par semaines',
                        href: '#PlanningIndividuels_listing_ressources_semaines',
                    },
                    {
                        text: 'Listing par ressources continu',
                        href: '#PlanningIndividuels_listing_ressources_continu',
                    },
                    {
                        text: 'Listing par ressources par mois',
                        href: '#PlanningIndividuels_listing_ressources_mois',
                    },
                    {
                        text: 'Listing par ressources par jours',
                        href: '#PlanningIndividuels_listing_ressources_jour',
                    },
                    {
                        text: 'Axe de prise en charge (excel)',
                        href: '#PlanningIndividuels_axe',
                    },
                    {
                        text: 'Planning de synthèse annuel (excel)',
                        href: '#PlanningIndividuels_planning_annuel',
                    },
                    {
                        text: 'Listing des différences avec le plan-type',
                        href: '#PlanningIndividuels_listing_difference',
                    },
                    {
                        text: 'Listing des propriétaires des scéances',
                        href: '#PlanningIndividuels_listing_proprietaire',
                    },
                    {
                        text: 'Calendrier',
                        href: '#PlanningIndividuels_calendrier',
                    },
                    {
                        text: 'Exporte vers Google Agenda',
                        href: '#PlanningIndividuels_export_google',
                    },
                    {
                        text: 'Listing des conflits de scéances',
                        href: '#PlanningIndividuels_listing_conflit',
                    },
                    {
                        text: 'Export vers Charlemagne',
                        href: '#PlanningIndividuels_export_charlemagne',
                    }
                ]
            },
            {
                text: 'Plannings multiples',
                href: '#PlanningsMultiples',
            },
            {
                text: 'Plannings par activité',
                href: '#PlanningsParActivite',
            },
            {
                text: 'Présences intervenants',
                href: '#PresencesIntervenants',
                nodes: [
                    {
                        text: 'Par Intervenants',
                        href: '#PresencesIntervenants_ParIntervenants',
                        nodes: [
                            {
                                text: 'Graphique hebdomadaire',
                                href: '#PresencesIntervenants_ParIntervenants_Graphiquehebdomadaire',
                            },
                            {
                                text: 'Listing hebdomadaire',
                                href: '#PresencesIntervenants_ParIntervenants_Graphiquehebdomadaire',
                            },
                            {
                                text: 'listing date à date',
                                href: '#PresencesIntervenants_ParIntervenants_Listingdateadate',
                            },
                            {
                                text: 'Graphique annuel une page',
                                href: '#PresencesIntervenants_ParIntervenants_Graphiqueannuelunepage',
                            },
                            {
                                text: 'Graphique annuel deux pages',
                                href: '#PresencesIntervenants_ParIntervenants_Graphiqueannueldeuxpages',
                            },
                            {
                                text: 'Listing émargement mensuel',
                                href: '#PresencesIntervenants_ParIntervenants_Listingemargementmensuel',
                            },
                            {
                                text: 'Listing émargement date à date',
                                href: '#PresencesIntervenants_ParIntervenants_Listingemargementdateadate',
                            },
                            {
                                text: 'Calendrier annuel Excel',
                                href: '#PresencesIntervenants_ParIntervenants_CalendrierannuelExcel',
                            }

                        ]
                    },
                    {
                        text: 'Par Services',
                        href: '#PresencesIntervenants_ParIntervenants_Listinghebdomadaire',
                        nodes: [
                            {
                                text: 'Quotidien',
                                href: '#PresencesIntervenants_ParServices_Quotidien',
                            },
                            {
                                text: 'Hebdomadaire',
                                href: '#PresencesIntervenants_ParServices_Hebdomadaire',
                            },
                            {
                                text: 'Mensuel',
                                href: '#PresencesIntervenants_ParServices_Mensuel',
                            },
                            {
                                text: 'Mensuel A3',
                                href: '#PresencesIntervenants_ParServices_MensuelA3',
                            },
                            {
                                text: 'Par horaires critiques',
                                href: '#PresencesIntervenants_ParServices_Parhorairescritiques',
                            },
                            {
                                text: 'Bulletin de pointage mensuel (Excel)',
                                href: '#PresencesIntervenants_ParServices_Bulletindepointagemensuelexcel',
                            }
                        ]
                    },
                    {
                        text: 'Absences par intervenants',
                        href: '#PresencesIntervenants_Absencesparintervenants',
                    },
                    {
                        text: 'Situation par intervenants',
                        href: '#PresencesIntervenants_Situationparintervenants',
                    },
                    {
                        text: 'Etat des compteurs',
                        href: '#PresencesIntervenants_Etatdescompteurs',
                    }
                ]
            },
            {
                text: 'Présences usagers',
                href: '#PresencesUsagers',
                nodes: [
                    {
                        text: 'Listing absences journalières (jours/jours)',
                        href: '#PresencesUsagers_joursparjours',
                    },
                    {
                        text: 'Listing absences journalières (jours/jours, sans motifs)',
                        href: '#PresencesUsagers_joursparjoursSansmotifs',
                    },
                    {
                        text: 'Listing absences journalières (usager/usager)',
                        href: '#PresencesUsagers_UsagerparUsager',
                    },
                    {
                        text: 'Recap. absences journalières (Excel)',
                        href: '#PresencesUsagers_Recapabsencesjournalieres',
                    },
                    {
                        text: "Listing par commentaires d'absence",
                        href: '#PresencesUsagers_Listingparcommentairesdabsences',
                    },
                    {
                        text: "Planning absences par semaine",
                        href: '#PresencesUsagers_Planningabsencesparsemaine',
                    },
                    {
                        text: "Heures de départ le mercredi",
                        href: '#PresencesUsagers_Heuresdedepartlemercredi',
                    },
                    {
                        text: "Graphique annuel une page",
                        href: '#PresencesUsagers_Graphiqueannuelunepage',
                    },
                    {
                        text: "Graphique annuel deux page",
                        href: '#PresencesUsagers_Graphiqueannueldeuxpage',
                    },
                    {
                        text: "Feuille d'émargement",
                        href: '#PresencesUsagers_Feuilledemargement',
                    },
                    {
                        text: "Attestation de présence",
                        href: '#PresencesUsagers_Attestationdepresence',
                    },
                    {
                        text: "Presents sur une plage",
                        href: '#PresencesUsagers_Presentssuruneplage',
                    },
                    {
                        text: "listing des abences par usager",
                        href: '#PresencesUsagers_Listingabsencesparusager',
                    }
                ]
            },
            {
                text: 'Récapitulatifs',
                href: '#Recapitulatifs',
                nodes: [
                    {
                        text: "Standard",
                        href: '#Recapitulatifs_standard',
                        nodes: [
                            {
                                text: "Toutes activités de base",
                                href: '#Recapitulatifs_standard_TT',
                            },
                            {
                                text: "Activités de base",
                                href: '#Recapitulatifs_standard_AB',
                            },
                            {
                                text: "Sous-groupes d'activités de base",
                                href: '#Recapitulatifs_standard_SGA',
                            },
                            {
                                text: "Groupes d'activités de base",
                                href: '#Recapitulatifs_standard_GA',
                            }
                        ]
                    },
                    {
                        text: "Avancé",
                        href: '#Recapitulatifs_Avancé',
                        nodes: [
                            {
                                text: "Toutes activités de base",
                                href: '#Recapitulatifs_Avancé_TT',
                            },
                            {
                                text: "Activités de base",
                                href: '#Recapitulatifs_Avancé_AB',
                            },
                            {
                                text: "Sous-groupes d'activités de base",
                                href: '#Recapitulatifs_Avancé_SGA',
                            },
                            {
                                text: "Groupes d'activités de base",
                                href: '#Recapitulatifs_Avancé_GA',
                            }
                        ]
                    },
                    {
                        text: "Extraction pour statistiques (Freyming)",
                        href: '#Recapitulatifs_ExtractionpourstatistiquesFreyming',
                    },
                    {
                        text: "Extraction pour statistiques (Espace Singulier)",
                        href: '#Recapitulatifs_ExtractionpourstatistiquesEspaceSingulier',
                    }
                ]
            },
            {
                text: 'Rapports',
                href: '#Rapports',
            },
            {
                text: 'Listings',
                href: '#Listings',
            },
            {
                text: 'Publipostage',
                href: '#Publipostage',
            }];
            
    // Remplir le tableau pour le TreeView des favoris
        var array
        = {{ psDataNodes|json_encode|raw }};
                var length = array.length;
        var treeFav = [];
        for (k = 0; k !== length; k++) {
            // Chercher le nom de l'édition
            var nomEdition = "Inconnu";
            for (n = 0; n < loDataEditions[0].nodes.length; n++) {
                if (loDataEditions[0].nodes[n].href === "#" + array[k].node) {
                    nomEdition = loDataEditions[0].nodes[n].text;
                    break;
                }
            }
            // Créer l'élément de favori
            treeFav[k] = {
                text: array[k].nom,
                tag: array[k].id,
                href: array[k].node,
                nomEdition: nomEdition
            };
        }

        // Charger une configuration d'édition
        // LG 20190626
        function loadConfig(psURL) {
            // Mémoriser la configuration actuelle si elle existe
            if ($('#config').html()) {
                // Une configuration est actuellement chargée : la mémoriser
                var lsConfig = $('#urlConfig').val();
                lsConfig = lsConfig.replace('/', '_');
                if (lsConfig) {
                    if ($('#' + lsConfig).length === 0) {
                        // Cette configutation n'a pas encore été chargée : l'ajouter
                        $("#ConfigurationsMemorisees").append('<div id="' + lsConfig + '"></div>');
                    }
                    $('#' + lsConfig).html($('#config').html());
                }
            }
            // alert(psURL) ;
            // Charger la configuration demandée
            //			var loConfigurationMémorisée = $("#ConfigurationsMemorisees").children("#" . psURL) ;
            var lsConfig = psURL;
            lsConfig = lsConfig.replace('/', '_');
//            var loConfigurationMémorisée = $("#" + lsConfig);
            var loConfigurationMémorisée= [];
            console.log("cache desactiver");
            if (loConfigurationMémorisée.length) {
                // On a déja chargé cette URL : la ressortir du stock
                // alert("1 " + lsConfig) ;
                $('#config').html(loConfigurationMémorisée.html());
            } else {
                // Charger la config maintenant à partir du serveur
                // alert("2 " + psURL) ;
                $('#config').load(psURL);
            }
            // document.getElementById('node').value = child;
            $('#urlConfig').val(psURL);
        }

        // Définir le TreeView des favoris
// LG 20200805 old        $('#trvFavoris').treeview({
        $('#trvFavoris').LGTreeview({
            levels: 1,
            expandIcon: 'fas fa-plus',
            collapseIcon: 'fas fa-minus',
            emptyIcon: 'fas',
            data: treeFav,
            onNodeSelected: function (event, node) {
                var id = node['tag'];
                // LG 20190626 old                $('#FavorisDiv').load('GetFavoris/' + id);
                loadConfig('GetFavoris/' + id);
                //console.log(node);
                $('#node').val(node['href']);
                $('#favori').val(id);
                $('#titreConfig').html(node['nomEdition']);
            },
            onNodeUnselected: function (event, node) {
            }
        });
        var x = document.getElementById("parameters");
        !function ($) {
            // Objet contrôleur
            oSideBar = {};
            oSideBar.oControleur = {
                thisSideBar: currentElement
                , bAuto: currentSelection.data("auto")
                , bModifié: false
                , onChangeConfig() {
                    oSideBar.oControleur.bModifié = true;
                    var event = jQuery.Event("onChangeConfig");
                    $("#" + oSideBar.oControleur.thisSideBar.id).trigger(event);
                }

            };
        };
        
        // Définir le TreeView de toutes les éditions
// LG 20200805 old        $('#trvEditions').treeview({
        $('#trvEditions').LGTreeview({
            data: loDataEditions,
            onNodeSelected: function (event, node) {
                var child = node['href'];
                child = child.replace("#", "");
                loadConfig(child);
                $('#node').val(child);
                $('#favori').val("");
                $('#titreConfig').html("");
            },
            onNodeUnselected: function (event, node) {
            }
        });
        //		});

        $(document).ready(initialise);
        !function ($) {
            // Objet contrôleur
            oSideBar = {};
            oSideBar.oControleur = {
                bAuto: currentSelection.data("auto")
                , bModifié: false
                , onChangeConfig() {
                    oSideBar.oControleur.bModifié = true;
                    var event = jQuery.Event("onChangeConfig");
                }

            };
        };

        function initialise() {
            window.oConfig = {
                dDebut: moment().isoWeekday(1).format("YYYY/MM/DD")
                , dFin: moment().isoWeekday(7).format("YYYY/MM/DD")

            };
{# LG 20200805 deac            function cbo2Dates_afterChange(ev, picker) {
                if (window.oConfig.dDebut !== picker.startDate.format('YYYY-MM-DD')
                        || window.oConfig.dFin !== picker.endDate.format('YYYY-MM-DD')) {
                    // Au moins une date a changé
                    window.oConfig.dDebut = picker.startDate.format('YYYY-MM-DD');
                    window.oConfig.dFin = picker.endDate.format('YYYY-MM-DD');
                    // Recharger la liste des ressources
                    var laVal = $("[data-role=cbcRessource]").val();
                    var loCbc = $("[data-role=cbcRessource]")[0];
                    fillCbcRessource(loCbc, {}); // Vider la liste
                    loCbc.dataset.debut = window.oConfig.dDebut;
                    loCbc.dataset.fin = window.oConfig.dFin;
                    ajax_FillcbcRessources(loCbc, laVal); // Reremplir la liste
                }
            }
            $('#cbo2Dates').on('apply.daterangepicker', function (ev, picker) {
                return cbo2Dates_afterChange(ev, picker);
            });
            $('#cbo2Dates').on('outsideClick.daterangepicker', function (ev, picker) {
                return cbo2Dates_afterChange(ev, picker);
            });
#}            // Sur changement de l liste de ressource sélectionnée
            $('body').bind('onValideChangecbcRessource', function (e) {
                if (e.source === "cbcRessources") {

                }
            });           
        }

    </script>
    <link rel="stylesheet" href="{{asset_version('vendor/spectrum/spectrum.css')}}" />
{% endblock %}
